summaryrefslogtreecommitdiffstats
path: root/debian/ceph-mgr-k8sevents.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/ceph-mgr-k8sevents.postinst')
-rw-r--r--debian/ceph-mgr-k8sevents.postinst43
1 files changed, 43 insertions, 0 deletions
diff --git a/debian/ceph-mgr-k8sevents.postinst b/debian/ceph-mgr-k8sevents.postinst
new file mode 100644
index 000000000..4ab578fd1
--- /dev/null
+++ b/debian/ceph-mgr-k8sevents.postinst
@@ -0,0 +1,43 @@
+#!/bin/sh
+# vim: set noet ts=8:
+# postinst script for ceph-mgr-k8sevents
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#
+# postinst configure <most-recently-configured-version>
+# old-postinst abort-upgrade <new-version>
+# conflictor's-postinst abort-remove in-favour <package> <new-version>
+# postinst abort-remove
+# deconfigured's-postinst abort-deconfigure in-favour <failed-install-package> <version> [<removing conflicting-package> <version>]
+#
+
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ configure)
+ # attempt to load the plugin if the mgr is running
+ deb-systemd-invoke try-restart ceph-mgr.target
+ ;;
+ abort-upgrade|abort-remove|abort-deconfigure)
+ :
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+